diff -rupN rxvt-unicode-9.06/src/rxvtfont.C rxvt-unicode-9.06-agr/src/rxvtfont.C
--- rxvt-unicode-9.06/src/rxvtfont.C	2010-09-29 10:41:06.000000000 +0200
+++ rxvt-unicode-9.06-agr/src/rxvtfont.C	2010-09-29 11:13:50.337101405 +0200
@@ -1195,12 +1195,21 @@ rxvt_font_xft::load (const rxvt_fontprop
           XGlyphInfo g;
           XftTextExtents16 (disp, f, &ch, 1, &g);
 
+/*
+ * bukind: don't use g.width as a width of a character!
+ * instead use g.xOff, see e.g.: http://keithp.com/~keithp/render/Xft.tutorial
+
           g.width -= g.x;
 
           int wcw = WCWIDTH (ch);
           if (wcw > 0) g.width = (g.width + wcw - 1) / wcw;
 
           if (width    < g.width       ) width    = g.width;
+*/
+          int wcw = WCWIDTH (ch);
+          if (wcw > 1) g.xOff = g.xOff / wcw;
+          if (width < g.xOff) width = g.xOff;
+
           if (height   < g.height      ) height   = g.height;
           if (glheight < g.height - g.y) glheight = g.height - g.y;
         }
